import { GraphQLSchema } from "graphql";
import type { ContentType } from "../util";
export declare type SchemaBuilderOptions = {
    /**
     * The name of the schema file.  Defaults to 'contentful-schema.json'.
     */
    filename: string;
} | {
    contentTypes: ContentType[];
};
export default class SchemaBuilder {
    build(options: SchemaBuilderOptions): GraphQLSchema;
}
